<script setup lang="ts">
import { RouterView } from 'vue-router'
import TheHeader from '@/components/layout/TheHeader.vue'
import TheServiceAria from '@/components/layout/TheServiceAria.vue'
import TheFooter from '@/components/layout/TheFooter.vue'
import TheNewsletter from '@/components/layout/TheNewsletter.vue'
import TheBreadcrumbs from '@/components/layout/TheBreadcrumbs.vue'
import TheCartAside from '@/components/cart/CartAsside.vue'
</script>

<template>
  <TheHeader/>
  <main class="main-wrapper">
    <TheBreadcrumbs/>
    <RouterView/>
    <TheCartAside/>
  </main>
  <TheNewsletter/>
  <TheServiceAria/>
  <TheFooter/>
</template>
